<!DOCTYPE html>
<html>
<head>
    <!-- Title here -->
    <title><?php echo $this->val['company_name']; ?> <?php echo T_("Личный кабинет"); ?></title>
    <!-- Description, Keywords and Author -->
    <meta name="description" content="Your description">
    <meta name="keywords" content="Your,Keywords">
    <meta name="author" content="ResponsiveWebInc">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Styles -->
    <!-- Bootstrap CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap.min.css" rel="stylesheet">
    <!-- Animate css -->
    <link href="<?php echo $this->val['path_template']; ?>/css/animate.min.css" rel="stylesheet">
    <!-- Gritter -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.gritter.css" rel="stylesheet">
    <!-- Calendar -->
    <link href="<?php echo $this->val['path_template']; ?>/css/fullcalendar.css" rel="stylesheet">
    <!-- Bootstrap toggable -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-switch.css" rel="stylesheet">
    <!-- Date and Time picker -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/rateit.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.cleditor.css" rel="stylesheet">
    <!-- jQuery UI -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery-ui.css" rel="stylesheet">
    <!-- prettyPhoto -->
    <link href="<?php echo $this->val['path_template']; ?>/css/prettyPhoto.css" rel="stylesheet">
    <!-- Font awesome CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <?php if (isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 2){ ?>
    <link href="<?php echo $this->val['path_template']; ?>/css/style-white.css" rel="stylesheet">
    <?php } elseif(isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 3 AND
    file_exists($this->val['path_template'].'/customtpls/custom.css')) { ?>
    <link href="<?php echo $this->val['path_template']; ?>/customtpls/custom.css" rel="stylesheet">
    <?php }else{ ?>
    <link href="<?php echo $this->val['path_template']; ?>/css/style.css" rel="stylesheet">
    <?php }?>

    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.bootstrap-touchspin.css" rel="stylesheet"
          type="text/css"
          media="all">

    <!-- Favicon -->
    <link rel="shortcut icon" href="favicon.ico">
</head>

<body>

<!-- Logo & Navigation starts -->

<div class="header">
    <div class="container">
        <?php echo $this->val['header']; ?>
    </div>
</div>

<!-- Logo & Navigation ends -->

<!-- Page content -->

<div class="page-content blocky">
    <div class="container">

        <div class="sidebar-dropdown"><a href="#"><?php echo T_("МЕНЮ"); ?></a></div>

        <!-- Main menu -->
        <?php echo $this->val['main_menu']; ?>

        <div class="mainy">
            <!-- Page title -->
            <div class="page-title">
                <h2><i class="icon-desktop color"></i> <?php echo T_("IVI.RU"); ?> </h2>
                <hr/>
            </div>
            <!-- Page title -->

            <div class="awidget" id="step_1">

                <div class="awidget-body no-table-bor">

                    <?php if(empty($this->val['mob_tel'])){ ?>

                    <h2>Ошибка. Не заполнен мобильный телефон. Обратитесь к оператору!</h2>

                    <?php } else { ?>

                    <h2>Ваш логин в IVI: <?php echo $this->val['mob_tel']; ?></h2>
                    <hr>

                    <?php if(!empty($this->val['ivi']['message'])){ ?>
                    <div class="alert alert-info" role="alert">
                        <?php echo $this->val['ivi']['message']; ?>
                    </div>
                    <?php } ?>

                    <label>Доступные подписки:</label>

                    <?php foreach($this->val['ivi']['subs'] as $subs){ ?>
                    <form class="form-horizontal" role="form" id="form_select_channel" method="post"
                          action="main.php">

                        <input type="hidden" class="form-control" name="action" value="ivi">
                        <input type="hidden" class="form-control" name="subscription" value="<?php echo $subs['product_identifier']; ?>">

                        <div class="form-group">
                            <!-- Buttons -->
                            <div class="col-lg-12">
                                <button type="submit" class="btn btn-info" id="submit" ><?php echo $subs['product_title']. " - ". round($subs['price'] , 10). " ".$subs['currency']; ?></button>
                            </div>
                        </div>
                    </form>
                    <?php }  ?>
                    <hr>

                    <label>Активные подписки:</label>
                    <?php foreach($this->val['ivi']['active'] as $active){ ?>

                    <ul class="list-group">
                        <div class="row">
                            <div class="col-xs-6">
                                <label>
                                    <?php echo $active['payment_info']['ps_display_name']; ?>
                                </label>
                            </div>
                            <div class="col-xs-3">
                                Истекает: <?php echo date("Y-m-d H:i:s", strtotime($active['finish_time'])); ?>
                            </div>
                            <div class="col-xs-3">
                            </div>
                        </div>
                    </ul>

                    <?php }  ?>

                    <hr>

                    <?php } ?>

            </div>
        </div>


    </div>


    <div class="clearfix"></div>

</div>
</div>

<!-- Footer starts -->
<footer>
    <div class="container">
        <?php echo $this->val['footer']; ?>
    </div>
</footer>
<!-- Footer ends -->
<!-- Scroll to top -->
<span class="totop"><a href="#"><i class="icon-chevron-up"></i></a></span>

<!-- Форма нового тикета -->
<?php echo $this->val['ticket_new_form']; ?>


<!-- Javascript files -->
<!-- jQuery -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.js"></script>
<!-- Bootstrap JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap.min.js"></script>
<!-- jQuery UI -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery-ui-1.10.2.custom.min.js"></script>

<!-- jQuery Peity -->
<script src="<?php echo $this->val['path_template']; ?>/js/peity.js"></script>
<!-- Calendar -->
<script src="<?php echo $this->val['path_template']; ?>/js/fullcalendar.min.js"></script>
<!-- jQuery Star rating -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.rateit.min.js"></script>
<!-- prettyPhoto -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.prettyPhoto.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.bootstrap-touchspin.js"></script>
<!-- jQuery flot -->
<!--[if lte IE 8]>
<script language="javascript" type="text/javascript" src="js/excanvas.min.js"></script><![endif]-->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.pie.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.stack.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.resize.js"></script>

<!-- Gritter plugin -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.gritter.min.js"></script>
<!-- CLEditor -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.cleditor.min.js"></script>
<!-- Date and Time picker -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-datetimepicker.min.js"></script>
<!-- jQuery Toggable -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-switch.min.js"></script>
<!-- Respond JS for IE8 -->
<script src="<?php echo $this->val['path_template']; ?>/js/respond.min.js"></script>
<!-- HTML5 Support for IE -->
<script src="<?php echo $this->val['path_template']; ?>/js/html5shiv.js"></script>
<!-- Custom JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/custom.js"></script>


<script type="text/javascript">


    $(document).ready(function () {

        var tariff_checked  = false;

        $(':input[id="1_tariff_select"]').each(function(index, element){
            if(element.checked){
                tariff_checked = true;
            }
        });

        if(tariff_checked == false){
            $(':input[id="2_packet_select"]').attr('disabled', true);
        }

        $(':input[id="1_tariff_select"]').click(function (event) {

            if (this.checked) {
                $(':input[id="1_tariff_select"]').attr('checked', false);
                $(':input[id="2_packet_select"]').attr('disabled', false);
                this.checked = true;
            } else {
                $(':input[id="2_packet_select"]').attr('checked', false);
                $(':input[id="2_packet_select"]').attr('disabled', true);
                this.checked = false;
            }
        });

        // show/hide packet
        $(".click").click(
            function () {
                $('#' + this.id + '_toggle').toggle('Blind');
            }
        );

    });

</script>

</body>
</html>