<?php

ini_set('allow_url_fopen', '0');
ini_set('allow_url_include', '0');
header('Content-type: text/html; charset=UTF-8');
/**
 * @author NickCool
 * @about  файл для уменьшения количества файлов платёжных систем в корне папки
 */

# сокращаем DS
define('DS', DIRECTORY_SEPARATOR);
define('BILL_SYSTEM_OPTIONS_TABLE', 'system_options');

# путь к платёжным системам
$pathToPS = '.' . DS . 'res' . DS . 'paysystems' . DS;
# вспомогательные ф-ии
include_once($pathToPS . 'helper' . DS . 'safemysql.class.php');
include_once($pathToPS . 'helper' . DS . 'functions.php');
include_once($pathToPS . 'helper' . DS . 'form.class.php');
include_once($pathToPS . 'helper' . DS . 'pay_api.php');


# файл-конфиг соединения с БД
$configFilePath = './app/etc/config.xml';

# соединение с БД
$LINK = connectToDB($configFilePath);

# необходимо задать в обработчиках ПС
$title = 'ISP - пополнение счёта';
$response = 'Error! Платёжная система не выбрана!';

#Check Payment Search API
if (getPostParam('data_api', false)) {
    $systemOptions = billingInitSystemOptionsByKey($LINK, 'payment_api_%');
    $apiClass = new PayApiClass($systemOptions, $LINK);
}


# NEW!!! инициализируем класс формы.
$form = new formClass();

# получаем необходимые данные для оплаты
# данные абонента
$user = getUserDataFromPOST();
# сумма платежа
$amount = round(getPostParam('amount', 100), 2);

/*
# для отладки
$amount = 10;
$amount = round($amount, 2);
$user['uid'] = 1;
$user['email'] = 'simple@e.mail';
*/

$paysystem = "";
if ( (isset($_GET['paygateway']) AND !empty($_GET['paygateway'])) || (isset($_GET['system']) AND !empty($_GET['system'])) ) {
    $file = 'default.php';
	$systemName = "";
	if( isset($_GET['paygateway']) AND !empty($_GET['paygateway']) ) {
		$systemName = $_GET['paygateway'];
	}
	if( isset($_GET['system']) AND !empty($_GET['system']) ) {
		$systemName = $_GET['system'];
	}
    # получаем сис. опции и проверяем, включены ли системы

    switch ($systemName) {
        # https://stripe.com - Stripe
        case 'stripe':
			$paysystem = "stripe";
			
            # для Stripe нужны все сис. опции
            $systemOptions = billingInitSystemOptions($LINK);

            # заменяем символ из сис. опций на символ Евро
            $systemOptions['stripe_currency_symbol'] = '€';

            if (isset($systemOptions['stripe_on'], $systemOptions['stripe_secret_key'], $systemOptions['stripe_publishable_key'], $systemOptions['stripe_currency']) AND $systemOptions['stripe_on'] == 1) {
                # действие по умолчанию
                $file = 'form.php';

                if (isset($_GET['act'])) {
                    switch ($_GET['act']) {
                        # оплата
                        case 'pay':
                            if (isset($_POST['stripeToken'])) {
                                $file = 'charge.php';
                            }
                            break;
                    }
                }
            }
            break;

        case 'paykeeper':
			$paysystem = "paykeeper";
            $systemOptions = billingInitSystemOptionsByKey($LINK, 'paykeeper_%');

            if (isset($systemOptions['paykeeper_on']) && $systemOptions['paykeeper_on'] == 1 && !empty($systemOptions['paykeeper_urlpay'])) {
                $file = 'index.php';
            }
            break;

        case 'ukrpays':
			$paysystem = "ukrpays";
            $systemOptions = billingInitSystemOptionsByKey($LINK, 'ukrpays_%');

            if (isset($systemOptions['ukrpays_on']) && $systemOptions['ukrpays_on'] == 1 && isset($systemOptions['ukrpays_service_id']) && !empty($systemOptions['ukrpays_urlpay'])) {
                $file = 'index.php';
            }
            break;

        case 'paypal':
			$paysystem = "paypal";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');

            if (isset($systemOptions['paypal_on'], $systemOptions['paypal_merchant'], $systemOptions['paypal_currency']) AND $systemOptions['paypal_on'] == 1 AND trim($systemOptions['paypal_merchant']) != '' AND trim($systemOptions['paypal_currency']) != '') {
                $file = 'index.php';
            }
            break;

        case 'uniteller':
			$paysystem = "uniteller";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'fondy':
			$paysystem = "fondy";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'yandex':
			$paysystem = "yandex";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'portmone':
			$paysystem = "portmone";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'ipay':
			$paysystem = "ipay";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'robokassa':
			$paysystem = "robokassa";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'simplepay':
			$paysystem = "simplepay";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'sberbankrumrch':
			$paysystem = "sberbankrumrch";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'liqpay':
			$paysystem = "liqpay";
            $systemOptions = billingInitSystemOptions($LINK);
            if (isset($systemOptions['do_liqpay_terminal'])) {
                $file = 'index.php';
            }
            break;

        case 'onpay':
			$paysystem = "onpay";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '%');
            if (isset($systemOptions['do_onpay_terminal'])) {
                $file = 'index.php';
            }
            break;

        case 'privat24':
			$paysystem = "privat24";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '%');
            if (isset($systemOptions['do_privat24_terminal'])) {
                $file = 'index.php';
            }
            break;

        case 'pscb':
			$paysystem = "pscb";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'paymaster':
			$paysystem = "paymaster";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'yandexmoney':
			$paysystem = "yandexmoney";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'cloudpayments':
			$paysystem = "cloudpayments";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'isbank':
			$paysystem = "isbank";
            $systemOptions = billingInitSystemOptionsByKey($LINK, $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'wqiwiru':
			$paysystem = "wqiwiru";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions['do_wqiwiru_terminal'])) {
                $file = 'index.php';
            }
            break;

        case 'tinkoff':
			$paysystem = "tinkoff";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'alfabankru':
			$paysystem = "alfabankru";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'privat_v2':
			$paysystem = "privat_v2";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '%');

            if (isset($systemOptions['do_privat_v2'], $systemOptions['privat_v2_lk']) AND $systemOptions['do_privat_v2'] == '1' AND $systemOptions['privat_v2_lk'] == '1') {
                $file = 'index.php';
            }
            break;

        case 'paysoft':
			$paysystem = "paysoft";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'ckassa':
			$paysystem = "ckassa";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'masterpass':
			$paysystem = "masterpass";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions[$paysystem . '_on'])) {
                $file = 'index.php';
            }
            break;

        case 'lifecell':
			$paysystem = "lifecell";
            $systemOptions = billingInitSystemOptionsByKey($LINK, '%' . $paysystem . '_%');
            if (isset($systemOptions['lifecell_easypay_on'])) {
                $file = 'index.php';
            }
            break;
    }

    # выполняем указанный файл
    if ($file == 'default.php') {
        include_once($pathToPS . $file);
    } else {
        include_once($pathToPS . $paysystem . DS . $file);
    }

}

//Старые ПС
$oldPS = array(
    'stripe',
    'paykeeper',
    'paypal'
);


# выводим отформатированный ответ
if (in_array($paysystem, $oldPS)) {

    # Старая форма
    echo setResponse($response, $title);
} else {

    # Новый класс формы
    echo $form->getForm();
}
